org.tmatesoft.svn.core.wc2

## Class SvnCommitItem

- java.lang.Object
- - org.tmatesoft.svn.core.wc2.SvnCommitItem

-     public class SvnCommitItem
      extends java.lang.Object

  Provides information about a committed revision. Commit information includes:
  1. a path;
  2. a node kind;
  3. URL;
  4. a revision number;
  5. copy from URL;
  6. copy from revision number;
  7. flags;
  8. outgoing properties.
  Version:
    1.7
  Author:
    TMate Software Ltd.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ADD`
    `static int` | `COPY`
    `static int` | `DELETE`
    `static int` | `LOCK`
    `static int` | `MOVED_HERE`
    `static int` | `PROPS_MODIFIED`
    `static int` | `TEXT_MODIFIED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SvnCommitItem()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addIncomingProperty(java.lang.String name, SVNPropertyValue value)`
    `void` | `addOutgoingProperty(java.lang.String name, SVNPropertyValue value)` Adds property with the name and the value that should be committed within the item.
    `long` | `getCopyFromRevision()` Returns revision number of the repository item from whose working copy item was copied.
    `SVNURL` | `getCopyFromUrl()` Returns URL from whose the item was copied.
    `int` | `getFlags()` Returns commit item's flags.
    `java.util.Map<java.lang.String,SVNPropertyValue>` | `getIncomingProperties()`
    `SVNNodeKind` | `getKind()` Returns commit item's node kind.
    `java.io.File` | `getMovedFromAbsPath()`
    `java.util.Map<java.lang.String,SVNPropertyValue>` | `getOutgoingProperties()` Returns all properties that should be committed within the item.
    `java.io.File` | `getPath()` Returns commit item's working copy path.
    `long` | `getRevision()` Returns the revision number the repository was committed to.
    `SVNURL` | `getUrl()` Returns commit item's repository URL.
    `boolean` | `hasFlag(int flag)` Checks whether commit item has the flag
    `void` | `setCopyFromRevision(long copyFromRevision)` Sets revision number of the repository item from whose working copy item was copied.
    `void` | `setCopyFromUrl(SVNURL copyFromUrl)` Sets URL from whose the item was copied.
    `void` | `setFlags(int commitFlags)` Sets commit item's flags.
    `void` | `setKind(SVNNodeKind kind)` Sets commit item's node kind.
    `void` | `setMovedFromAbsPath(java.io.File movedFromAbsPath)`
    `void` | `setPath(java.io.File path)` Sets commit item's working copy path.
    `void` | `setRevision(long revision)` Sets the revision number the repository was committed to.
    `void` | `setUrl(SVNURL url)` Sets commit item's repository URL.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ADD

          public static final int ADD

      See Also:
        Constant Field Values

    - #### DELETE

          public static final int DELETE

      See Also:
        Constant Field Values

    - #### TEXT_MODIFIED

          public static final int TEXT_MODIFIED

      See Also:
        Constant Field Values

    - #### PROPS_MODIFIED

          public static final int PROPS_MODIFIED

      See Also:
        Constant Field Values

    - #### COPY

          public static final int COPY

      See Also:
        Constant Field Values

    - #### LOCK

          public static final int LOCK

      See Also:
        Constant Field Values

    - #### MOVED_HERE

          public static final int MOVED_HERE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SvnCommitItem

          public SvnCommitItem()

  - ### Method Detail

    - #### getPath

          public java.io.File getPath()

      Returns commit item's working copy path.
      Returns:
        working copy path of the commit item

    - #### getKind

          public SVNNodeKind getKind()

      Returns commit item's node kind.
      Returns:
        node kind of the commit item

    - #### getUrl

          public SVNURL getUrl()

      Returns commit item's repository URL.
      Returns:
        URL of the source copy item

    - #### getRevision

          public long getRevision()

      Returns the revision number the repository was committed to.
      Returns:
        revision number of the commit item

    - #### getCopyFromUrl

          public SVNURL getCopyFromUrl()

      Returns URL from whose the item was copied.
      Returns:
        copy item URL

    - #### getCopyFromRevision

          public long getCopyFromRevision()

      Returns revision number of the repository item from whose working copy item was copied.
      Returns:
        revision number of the source copy item

    - #### getFlags

          public int getFlags()

      Returns commit item's flags.
      Returns:
        the flags of the commit item
      See Also:
        `setFlags(int)`

    - #### setPath

          public void setPath(java.io.File path)

      Sets commit item's working copy path.
      Parameters:
        `path` - working copy path of the commit item

    - #### setKind

          public void setKind(SVNNodeKind kind)

      Sets commit item's node kind.
      Parameters:
        `kind` - node kind of the commit item

    - #### setUrl

          public void setUrl(SVNURL url)

      Sets commit item's repository URL.
      Parameters:
        `url` - repository URL of the commit item

    - #### setRevision

          public void setRevision(long revision)

      Sets the revision number the repository was committed to.
      Parameters:
        `revision` - revision number of the commit item

    - #### setCopyFromUrl

          public void setCopyFromUrl(SVNURL copyFromUrl)

      Sets URL from whose the item was copied.
      Parameters:
        `copyFromUrl` - URL of the source copy item

    - #### setCopyFromRevision

          public void setCopyFromRevision(long copyFromRevision)

      Sets revision number of the repository item from whose working copy item was copied.
      Parameters:
        `copyFromRevision` - revision number of the source copy item

    - #### getMovedFromAbsPath

          public java.io.File getMovedFromAbsPath()

    - #### setMovedFromAbsPath

          public void setMovedFromAbsPath(java.io.File movedFromAbsPath)

    - #### setFlags

          public void setFlags(int commitFlags)

      Sets commit item's flags. They can be the following value(s):
      - `ADD`
      - `DELETE`
      - `TEXT_MODIFIED`
      - `PROPS_MODIFIED`
      - `COPY`
      - `LOCK`
      Parameters:
        `commitFlags` - the flags of the commit item

    - #### hasFlag

          public boolean hasFlag(int flag)

      Checks whether commit item has the flag
      Parameters:
        `flag` - the value of the flag
      Returns:
        `true` if commit item flags contain the requested value, otherwise `false`

    - #### getOutgoingProperties

          public java.util.Map<java.lang.String,SVNPropertyValue> getOutgoingProperties()

      Returns all properties that should be committed within the item.
      Returns:
        properties of the commit item

    - #### addOutgoingProperty

          public void addOutgoingProperty(java.lang.String name,
                                          SVNPropertyValue value)

      Adds property with the name and the value that should be committed within the item.
      Parameters:
        `name` - of the property
        `value` - of the property

    - #### getIncomingProperties

          public java.util.Map<java.lang.String,SVNPropertyValue> getIncomingProperties()

    - #### addIncomingProperty

          public void addIncomingProperty(java.lang.String name,
                                          SVNPropertyValue value)